## junitparser 3.2.0

=== docs/requirements.txt ===
# Python dependencies to build the documentation

Sphinx ~= 8.0

## junitparser 1.4.1

=== debian/changelog ===
junitparser (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 05 Jan 2020 01:49:43 +0100

junitparser (1.4.0-2) unstable; urgency=medium

  * Revert "remove unnecessary tests control"

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 16 Nov 2019 18:16:00 +0100

junitparser (1.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Bastian Germann ]
  * remove unnecessary tests control
  * New upstream version 1.4.0

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 02 Nov 2019 11:43:50 +0100

junitparser (1.3.2-1) unstable; urgency=low

  * Initial release (Closes: #930230)

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 08 Jun 2019 16:45:33 +0200

=== debian/control ===
Source: junitparser
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bastian Germann <bastiangermann@fishpost.de>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper-compat (= 12), python3-future
Standards-Version: 4.4.1
Homepage: https://github.com/gastlygem/junitparser
Vcs-Git: https://salsa.debian.org/python-team/modules/junitparser.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/junitparser
Testsuite: autopkgtest-pkg-python

Package: junitparser
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-junitparser
Section: utils
Description: Merges JUnit/xUnit Result XML files
 junitparser is a JUnit/xUnit result XML Parser. Use it to parse and manipulate
 existing Result XML files, or create new JUnit/xUnit result XMLs from scratch.
 .
 The command line tool can merge several Result XML files to one file.

Package: python3-junitparser
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Manipulates JUnit/xUnit Result XML files
 junitparser is a JUnit/xUnit result XML Parser. Use it to parse and manipulate
 existing Result XML files, or create new JUnit/xUnit result XMLs from scratch.
 .
 There are already a lot of modules that convert JUnit/xUnit XML from a
 specific format, but you may run into some proprietary or less-known formats
 and you want to convert them and feed the result to another tool, or, you may
 want to manipulate the results in your own way.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS={dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3.7 -m unittest discover -v
Restrictions: allow-stderr
Depends: @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/junitparser-$1\.tar\.gz/ \
 https://github.com/gastlygem/junitparser/tags .*/(\d\S+)\.tar\.gz

## junitparser 2.0.0

=== debian/changelog ===
junitparser (2.0.0-1) unstable; urgency=medium

  * Do not scan for beta versions
  * New upstream version 2.0.0
  * Amend copyright year

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 13 Jan 2021 22:35:04 +0100

junitparser (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 25 Nov 2020 19:37:17 +0100

junitparser (1.6.0-1) unstable; urgency=medium

  * Upstream URL changed
  * New upstream version 1.6.0
  * Drop unneeded patch
  * Add --glob to manpage
  * New Build-Dep: python3-lxml
  * Amend upstream info (repo, contact name)

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 29 Oct 2020 15:55:11 +0100

junitparser (1.4.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Bastian Germann ]
  * New upstream version 1.4.2
  * Patch: test_result_attrs: ignore failing space

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 24 Oct 2020 13:31:51 +0200

junitparser (1.4.1-3) unstable; urgency=medium

  * Reduce gbp.conf

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 17 Mar 2020 21:50:14 +0100

junitparser (1.4.1-2) unstable; urgency=medium

  * Run autopkgtest with python3 (Closes: #953968)
  * Lintian: rules-requires-root-missing
  * Update the Standards-Version (no changes required)

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 15 Mar 2020 21:23:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: junitparser
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Bastian Germann <bastiangermann@fishpost.de>
 Section: python
 Priority: optional
-Build-Depends: dh-python, python3-setuptools, python3-all, debhelper-compat (= 12), python3-future
-Standards-Version: 4.4.1
-Homepage: https://github.com/gastlygem/junitparser
-Vcs-Git: https://salsa.debian.org/python-team/modules/junitparser.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/junitparser
+Build-Depends: dh-python, python3-all, debhelper-compat (= 13),
+ python3-setuptools, python3-future, python3-lxml
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://github.com/weiwei/junitparser
+Vcs-Git: https://salsa.debian.org/python-team/packages/junitparser.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/junitparser
 Testsuite: autopkgtest-pkg-python
 
 Package: junitparser

=== debian/tests/control ===
Test-Command: python3 -m unittest discover -v
Restrictions: allow-stderr
Depends: @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/junitparser-$1\.tar\.gz/ \
 https://github.com/weiwei/junitparser/tags .*/([\d\.]+)\.tar\.gz

## junitparser 2.1.1

=== debian/changelog ===
junitparser (2.1.1-2) unstable; urgency=medium

  * Ignore test that needs specific locales installed

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 25 Aug 2021 09:57:41 +0200

junitparser (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 23 Aug 2021 23:32:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Section: python
 Priority: optional
 Build-Depends: dh-python, python3-all, debhelper-compat (= 13),
- python3-setuptools, python3-future, python3-lxml
+ python3-setuptools, python3-future, python3-lxml, python3-pytest
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/weiwei/junitparser
 Vcs-Git: https://salsa.debian.org/python-team/packages/junitparser.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/junitparser
-Testsuite: autopkgtest-pkg-python
 
 Package: junitparser
 Architecture: all

## junitparser 2.4.2

=== debian/changelog ===
junitparser (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2

 -- Bastian Germann <bage@debian.org>  Sun, 16 Jan 2022 11:38:33 +0100

junitparser (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1

 -- Bastian Germann <bage@debian.org>  Sun, 02 Jan 2022 20:48:01 +0100

junitparser (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0

 -- Bastian Germann <bage@debian.org>  Mon, 27 Dec 2021 11:14:55 +0100

junitparser (2.2.0-1) unstable; urgency=medium

  * Fix missing-build-dependency-for-dh-addon
  * d/watch: no filenamemangle
  * New upstream version 2.2.0

 -- Bastian Germann <bage@debian.org>  Sun, 21 Nov 2021 23:10:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: junitparser
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Bastian Germann <bastiangermann@fishpost.de>
+Uploaders: Bastian Germann <bage@debian.org>
 Section: python
 Priority: optional
-Build-Depends: dh-python, python3-all, debhelper-compat (= 13),
+Build-Depends: dh-python, python3-all:any, debhelper-compat (= 13),
  python3-setuptools, python3-future, python3-lxml, python3-pytest
 Standards-Version: 4.5.1
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=-k-test_fromstring_numbers_locale_insensitive {dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pytest-3 -k-test_fromstring_numbers_locale_insensitive
Restrictions: allow-stderr
Depends: @, python3-pytest

## junitparser 2.5.0

=== debian/changelog ===
junitparser (2.5.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 17:59:30 +0100

junitparser (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0

 -- Bastian Germann <bage@debian.org>  Fri, 29 Apr 2022 18:51:42 +0200

junitparser (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3

 -- Bastian Germann <bage@debian.org>  Sun, 20 Mar 2022 11:20:19 +0100

## junitparser 2.7.0

=== debian/changelog ===
junitparser (2.7.0-2) unstable; urgency=medium

  * Eliminate one more pytest -k- occurence (Closes: #1014481)

 -- Bastian Germann <bage@linutronix.de>  Wed, 06 Jul 2022 20:44:37 +0200

junitparser (2.7.0-1) unstable; urgency=medium

  * Replace old pytest option (Closes: #1013701)
  * New upstream version 2.7.0

 -- Bastian Germann <bage@debian.org>  Sun, 26 Jun 2022 04:37:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: dh-python, python3-all:any, debhelper-compat (= 13),
  python3-setuptools, python3-future, python3-lxml, python3-pytest
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/weiwei/junitparser
 Vcs-Git: https://salsa.debian.org/python-team/packages/junitparser.git

## junitparser 2.8.0

=== debian/changelog ===
junitparser (2.8.0-1) unstable; urgency=medium

  * Use pyproject for build
  * New upstream version 2.8.0

 -- Bastian Germann <bage@debian.org>  Sat, 15 Oct 2022 08:50:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Bastian Germann <bage@debian.org>
 Section: python
 Priority: optional
-Build-Depends: dh-python, python3-all:any, debhelper-compat (= 13),
+Build-Depends: pybuild-plugin-pyproject, python3-all:any, debhelper-compat (= 13),
  python3-setuptools, python3-future, python3-lxml, python3-pytest
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

## junitparser 3.1.0

=== debian/changelog ===
junitparser (3.1.0-3) unstable; urgency=medium

  * Drop Build-Depends: python3-future

 -- Bastian Germann <bage@debian.org>  Sat, 16 Dec 2023 16:48:09 +0100

junitparser (3.1.0-2) unstable; urgency=medium

  * Patch: Remove unused future dependency (Closes: #1058782)

 -- Bastian Germann <bage@debian.org>  Sat, 16 Dec 2023 11:18:56 +0100

junitparser (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Update standards version to 4.6.1, no changes needed.

 -- Bastian Germann <bage@debian.org>  Mon, 19 Jun 2023 16:07:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: python
 Priority: optional
 Build-Depends: pybuild-plugin-pyproject, python3-all:any, debhelper-compat (= 13),
- python3-setuptools, python3-future, python3-lxml, python3-pytest
-Standards-Version: 4.6.0
+ python3-setuptools, python3-lxml, python3-pytest
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/weiwei/junitparser
 Vcs-Git: https://salsa.debian.org/python-team/packages/junitparser.git

=== debian/tests/control ===
Test-Command: pytest -k 'not test_fromstring_numbers_locale_insensitive'
Restrictions: allow-stderr
Depends: @, python3-pytest

## junitparser 3.2.0

=== debian/changelog ===
junitparser (3.2.0-1) unstable; urgency=medium

  * Adoption of package. (Closes: #1055743)

  * New upstream release, 3.2.0.
  * 'd/control':
    - Add myself to 'Uploaders' and remove previous entry.
    - Update 'Standards-Version' to 4.7.1, no changes required.
  * Remove 'd/pataches' and unneeded contents.
  * Add 'd/salsa-ci.yml' for package Continuous Integration (CI).

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 25 Feb 2025 13:48:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: junitparser
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Bastian Germann <bage@debian.org>
+Uploaders: Phil Wyett <philip.wyett@kathenas.org>
 Section: python
 Priority: optional
 Build-Depends: pybuild-plugin-pyproject, python3-all:any, debhelper-compat (= 13),
  python3-setuptools, python3-lxml, python3-pytest
-Standards-Version: 4.6.1
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://github.com/weiwei/junitparser
 Vcs-Git: https://salsa.debian.org/python-team/packages/junitparser.git

## junitparser 4.0.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build
SPHINXAPIDOC  = sphinx-apidoc

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXAPIDOC) --force --output-dir api_generated/ --doc-project "API" --separate ../junitparser
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
# Python dependencies to build the documentation

Sphinx ~= 7.4

=== debian/changelog ===
junitparser (4.0.2-1) unstable; urgency=medium

  * Adopt the package. (Closes: #1109855, #1119051)

  [ Phil Wyett ]
  * New upstream version, 4.0.2.
  * 'debian/control': Update 'Standards-Version' to 4.7.2, no changes required.
  * 'debian/copyright': Update copyright year(s).

 -- Bastian Germann <bage@debian.org>  Mon, 27 Oct 2025 08:50:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: junitparser
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Phil Wyett <philip.wyett@kathenas.org>
+Uploaders: Bastian Germann <bage@debian.org>
 Section: python
 Priority: optional
-Build-Depends: pybuild-plugin-pyproject, python3-all:any, debhelper-compat (= 13),
- python3-setuptools, python3-lxml, python3-pytest
-Standards-Version: 4.7.1
+Build-Depends: debhelper-compat (= 13),
+               pybuild-plugin-pyproject,
+               python3-all:any,
+               python3-setuptools,
+               python3-lxml,
+               python3-pytest
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/weiwei/junitparser
 Vcs-Git: https://salsa.debian.org/python-team/packages/junitparser.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=-k 'not test_fromstring_numbers_locale_insensitive' {dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
 https://github.com/weiwei/junitparser/tags .*/([\d\.]+)\.tar\.gz
